%define base_name       cryptix
%define name		%{base_name}-pgp
%define version		3.2.0
%define release		2jpp
%define snapshot	20001002
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Java crypto package PGP plugin
License:        BSD style
Group:		Security/Cryptography
Url:            http://www.cryptix.org
Vendor:		JPackage Project
Distribution:	JPackage
Source0:        %{base_name}32-%{snapshot}-r%{version}-pgp.zip
Source1:        %{name}.build.script.tar.bz2
Requires:       %{base_name} = %{version}
BuildRequires:  ant
BuildRequires:  %{base_name} = %{version}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains the PGP plugin for Cryptix.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
%setup -c -T -D -a1
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# correct silly permissions
chmod -R go=u-w *

%build
export CLASSPATH=%{javadir}/cryptix.jar
ant jar
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -r build/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE.TXT README.TXT
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-2jpp 
- vendor, distribution, group tags
- versioned dir for javadoc

* Fri Dec 14 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-1jpp
- first JPackage release
